/*-------------- Telecommunications & Signal Processing Lab ---------------
                             McGill University

Routine:
  void FLprompt (const char Prompt[]);

Purpose:
  Print a prompt

Description:
  This routine prints a prompt string if both standard output and standard
  input are terminals.

Parameters:
   -> const char Prompt[]
      Prompt string.  This string is printed to standard output if both
      standard output and standard input are terminals.  If Prompt is NULL, no
      prompt is printed.

Author / revision:
  P. Kabal  Copyright (C) 1996
  $Revision: 1.7 $  $Date: 1996/05/06 18:06:36 $

-------------------------------------------------------------------------*/

static char rcsid[] = "$Id: FLprompt.c 1.7 1996/05/06 FilterDesign-V1R7a $";

#include <stdio.h>
#include <libtsp.h>
#include <libtsp/nucleus.h>

void
FLprompt (Prompt)

     const char Prompt[];

{
  if (Prompt != NULL && FLterm (stdout) && FLterm (stdin)) {
    fprintf (stdout, "%s", Prompt);
    fflush (stdout);
  }

  return;
}
