/*-------------- Telecommunications & Signal Processing Lab ---------------
                             McGill University

Routine:
  int STdec1int (const char String[], int *Ival)

Purpose:
  Decode an integer value

Description:
  This routine decodes a string containing a numeric value.  The decoded datum
  is stored as an integer value.  If a decoding error is detected, a warning
  message is printed and an error status value is returned.  A warning message
  is printed if extra data follows the requested value (this data is ignored).

Parameters:
  <-  int STdec1int
      Error status, 0 for no error, 1 for error
   -> const char String[]
      Input string
  <-  int *Ival
      Returned value.  This value is not changed if an error status is
      returned.

Author / revision:
  P. Kabal  Copyright (C) 1996
  $Revision: 1.8 $  $Date: 1996/05/31 19:08:46 $

-------------------------------------------------------------------------*/

static char rcsid[] = "$Id: STdec1int.c 1.8 1996/05/31 FilterDesign-V1R7a $";

#include <libtsp.h>
#include <libtsp/nucleus.h>

int
STdec1int (String, Ival)

     const char String[];
     int *Ival;

{
  return (STdec1val (String, 'I', (void *) Ival));
}
